创建 b2xIdentityUserFlow

命名空间:microsoft.graph

创建新的 b2xIdentityUserFlow 对象。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) IdentityUserFlow.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 IdentityUserFlow.ReadWrite.All

工作或学校帐户需要属于以下角色之一:

  • 全局管理员
  • 外部标识用户Flow管理员

HTTP 请求

POST /identity/b2xUserFlows

请求标头

名称 说明
Authorization Bearer {token}。必需。
Content-Type application/json. Required.

请求正文

在请求正文中,提供 b2xIdentityUserFlow的 JSON 表示形式。

属性 类型 说明
id String 必需。 用户流名称。 该名称将在创建后进行 B2X_1 预笔式处理。
userFlowType String 必需。 要创建的用户流的类型。 此值将始终为 signUpOrSignIn
userFlowTypeVersion 浮点 必需。 用户流版本。 此值将始终为 1。
apiConnectorConfiguration userFlowApiConnectorConfiguration 可选。 用于启用 API 连接器的配置,以便其可以成为用户流的一部分。

响应

如果成功,此方法将返回响应代码和位置标头,其 URI 为为此请求创建的 201 Created b2xIdentityUserFlow 对象,并添加前缀 B2X_1 到名称中。 如果失败,将返回 4xx 错误并显示具体详细信息。

示例

示例 1:使用默认值创建用户流

请求

下面展示了示例请求。

POST https://graph.microsoft.com/v1.0/identity/b2xUserFlows
Content-type: application/json

{
    "id": "Partner",
    "userFlowType": "signUpOrSignIn",
    "userFlowTypeVersion": 1
}

响应

下面展示了示例响应。

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 201 Created
Location: https://graph.microsoft.com/v1.0/identity/b2xUserFlows/B2X_1_Partner
Content-type: application/json

{
    "id": "B2X_1_Partner",
    "userFlowType": "signUpOrSignIn",
    "userFlowTypeVersion": 1
}

示例 2:使用默认值和标识提供程序创建用户流

请求

下面展示了示例请求。

POST https://graph.microsoft.com/v1.0/identity/b2xUserFlows
Content-type: application/json

{
    "id": "Partner",
    "userFlowType": "signUpOrSignIn",
    "userFlowTypeVersion": 1,
    "identityProviders": [
        {
            "id": "Facebook-OAuth",
            "type": "Facebook",
            "name": "Facebook"
        }
    ]
}

响应

下面展示了示例响应。

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 201 Created
Location: https://graph.microsoft.com/v1.0/identity/b2xUserFlows/B2X_1_Partner
Content-type: application/json

{
    "id": "B2X_1_Partner",
    "userFlowType": "signUpOrSignIn",
    "userFlowTypeVersion": 1
}

示例 3:使用 API 连接器的默认值和配置创建用户流

请求

下面展示了示例请求。

POST https://graph.microsoft.com/v1.0/identity/b2xUserFlows
Content-type: application/json

{
    "id": "UserFlowWithAPIConnector",
    "userFlowType": "signUpOrSignIn",
    "userFlowTypeVersion": 1,
    "apiConnectorConfiguration":{
        "postFederationSignup":{
            "@odata.id": "https://graph.microsoft.com/v1/identity/apiConnectors/{id}"
        },
        "postAttributeCollection":{
            "@odata.id": "https://graph.microsoft.com/v1/identity/apiConnectors/{id}"
        }
    }
}

响应

下面展示了示例响应。

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

注意: 属性 apiConnectorConfiguration 始终返回 ' {} ' 值。 若要使用导航属性查看完整值,请使用 API。

HTTP/1.1 201 Created
Location: https://graph.microsoft.com/v1.0/identity/b2xUserFlows/B2X_1_Partner
Content-type: application/json

{
    "@odata.context": "https://graph.microsoft.com/v1.0/$metadata#identity/b2xUserFlows/$entity",
    "id": "B2X_1_UserFlowWithAPIConnector",
    "userFlowType": "signUpOrSignIn",
    "userFlowTypeVersion": 1,
    "apiConnectorConfiguration": {}
}